#
# Conditional build:
%bcond_with	rpm4	# prepare macros for PLD rpm 4.5 instead of rpm5
#
%if "%{pld_release}" == "ac"
%define	with_rpm4	1
%endif
%define		rpm_macros_rev	1.669
%define		find_lang_rev	1.36
Summary:	PLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa PLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	1
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source3:	find-lang.sh
Source4:	dokuwiki-find-lang.sh
Patch0:		disable-systemd.patch
Patch1:		rpm4.patch
#Patchx: %{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
# sysconfig module with proper 'purelib' path
Conflicts:	python3 < 1:3.2.1-3
%if "%{pld_release}" != "ac"
# libtool --install
Conflicts:	libtool < 2:2.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm build macros for PLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa PLD.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/libtoolize --copy --force --install/s/ --install//' rpm.macros
%patch0 -p1
%endif
%{?with_rpm4:%patch1 -p1}

%build
%{__sed} -i -e 's,{Revision},%{rpm_macros_rev},' rpm.macros

rev=$(awk '/^%%rpm_build_macros/{print $2}' rpm.macros)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk -F= '/^VERSION/{print $2}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_usrlibrpm}
cp -a rpm.macros $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
install -p service_generator.sh $RPM_BUILD_ROOT%{_usrlibrpm}
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-macros.git;a=log;h=AC-branch

* Sat Jul 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b7e89f7
- more checking

* Sat Jul 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d2c9cab
- close only if f is valid

* Sat Jul 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 05277d5
- explictly close files opened in lua because implict closing happens too late this causing /etc/shells corruption

* Sat Jun 22 2013 Elan Ruusamäe <glen@delfi.ee> 0ac6825
memoize php_suffix

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 99c2b32
v1.666: __php macro would be version that php headers are installed for (php*-devel)

* Thu Jun 20 2013 Elan Ruusamäe <glen@delfi.ee> 7b5300d
1.665: added ruby_specdir, memoize ruby_gemdir

* Sat Jun 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 428f252
- added rpm4 bcond (default on Ac)

* Sun Jun 02 2013 Elan Ruusamäe <glen@delfi.ee> c1cc636
1.664: do not memoize %releq_kernel* macros

* Wed May 29 2013 Elan Ruusamäe <glen@delfi.ee> 402e94f
ghc_pkg_recache: ghc-pkg may be missing if ghc itself is uninstalled

* Fri May 24 2013 Elan Ruusamäe <glen@delfi.ee> 03df0e0
v1.663: rpm4.5 compat for noauto_pear|perl macros

* Fri May 24 2013 Elan Ruusamäe <glen@delfi.ee> a6712c0
rpm4 compat patch for _noautoreq_(perl|pear) on ac

* Sun May 12 2013 Jakub Bogusz <qboosh@pld-linux.org> b38c8ec
- oops, release 1

* Sun May 12 2013 Jakub Bogusz <qboosh@pld-linux.org> d8ba59f
- version 1.662: fixed chrpath mawk compatibility (| doesn't allow empty argument)

* Thu Apr 25 2013 Elan Ruusamäe <glen@delfi.ee> 05201fa
ruby: do not use deprecated Config::CONFIG

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 5ed24c8
py_postclean - do not use relative paths

* Thu Apr 18 2013 Elan Ruusamäe <glen@delfi.ee> 799bf7a
increment jobs for > 3 cpus

* Thu Apr 18 2013 Elan Ruusamäe <glen@delfi.ee> dd7fb1c
fix __jobs macro for < 3 cpus

* Wed Apr 17 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b546bcc
- up to 1.661; RUNPATH fix

* Wed Apr 17 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d31c69
- handle RUNPATH, too

* Fri Apr 12 2013 Jan Rękorajski <baggins@pld-linux.org> 247655c
- 1.659, install kernel modules as non-exec to avoid various
  post-scripts trying to work on them

